#!/usr/bin/env python
import urllib2, re, glob, shutil

dlpage = urllib2.urlopen("http://download.savannah.gnu.org/releases/freetype/")
versions = re.findall(r'''freetype-([0-9.]+)\.tar\.bz2''', dlpage.read())

versions.sort(key=lambda x: map(int, x.split(".")) )
version = versions[-1]

newBuildFile = "freetype-" + version + ".build"
buildFile, = glob.glob("freetype-*.build")

if buildFile != newBuildFile:
    print "mv {old} {new}".format(old=buildFile, new=newBuildFile)
    shutil.move(buildFile, newBuildFile)
